## cvm 0.90

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: libraries programs docs

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

client_domain.lo client_domain.o: libcompile client_domain.c v1client.h facts.h errors.h
	./libcompile client_domain.c

client_setenv.lo client_setenv.o: libcompile client_setenv.c v1client.h facts.h errors.h
	./libcompile client_setenv.c

client_setugid.lo client_setugid.o: libcompile client_setugid.c v1client.h facts.h errors.h
	./libcompile client_setugid.c

client_xfer_command.lo client_xfer_command.o: libcompile client_xfer_command.c v1client.h facts.h errors.h
	./libcompile client_xfer_command.c

client_xfer_compat.lo client_xfer_compat.o: libcompile client_xfer_compat.c v1client.h facts.h errors.h
	./libcompile client_xfer_compat.c

client_xfer_local.lo client_xfer_local.o: libcompile client_xfer_local.c v1client.h facts.h errors.h protocol.h
	./libcompile client_xfer_local.c

client_xfer_udp.lo client_xfer_udp.o: libcompile client_xfer_udp.c v1client.h facts.h errors.h protocol.h
	./libcompile client_xfer_udp.c

compile: conf-cc conf-bgincs
	( bgincs=`head -n 1 conf-bgincs`; \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

crypt.lib: compile load
	@echo -n 'Checking for -lcrypt: '
	@echo 'main() { ; }' >trylib-lcrypt.c
	@{ ./compile trylib-lcrypt.c && ./load trylib-lcrypt -lcrypt; } >/dev/null 2>&1 \
	  && { echo -lcrypt >crypt.lib; echo yes; } \
	  || { echo -n >crypt.lib; echo no; }
	@rm -f trylib-lcrypt.c trylib-lcrypt.o trylib-lcrypt

cvm-benchclient: cvm-benchclient.o ltload libcvm-v2client.la socket.lib
	./ltload cvm-benchclient libcvm-v2client.la -lbg `cat socket.lib`

cvm-benchclient.o: compile cvm-benchclient.c v2client.h facts.h errors.h
	./compile cvm-benchclient.c

cvm-chain: cvm-chain.o ltload libcvm-module.la libcvm-v2client.la socket.lib s.lib
	./ltload cvm-chain libcvm-module.la libcvm-v2client.la -lbg `cat socket.lib` `cat s.lib`

cvm-chain.o: compile cvm-chain.c module.h credentials.h errors.h facts.h v2client.h
	./compile cvm-chain.c

cvm-checkpassword: cvm-checkpassword.o ltload libcvm-v2client.la socket.lib
	./ltload cvm-checkpassword libcvm-v2client.la -lbg `cat socket.lib`

cvm-checkpassword.o: compile cvm-checkpassword.c v2client.h facts.h errors.h
	./compile cvm-checkpassword.c

cvm-mysql: cvm-mysql.o ltload libcvm-module.la libcvm-sql.la crypt.lib
	./ltload cvm-mysql libcvm-module.la libcvm-sql.la -lbg -lpwcmp -L/usr/lib/mysql -lmysqlclient `cat crypt.lib`

cvm-mysql-local: cvm-mysql-local.o ltload cvm-mysql.o libcvm-local.la libcvm-sql.la crypt.lib
	./ltload cvm-mysql-local cvm-mysql.o libcvm-local.la libcvm-sql.la -lbg -lpwcmp -L/usr/lib/mysql -lmysqlclient `cat crypt.lib`

cvm-mysql-local.o: compile cvm-mysql-local.c
	./compile cvm-mysql-local.c

cvm-mysql-udp: cvm-mysql-udp.o ltload cvm-mysql.o libcvm-udp.la libcvm-sql.la crypt.lib
	./ltload cvm-mysql-udp cvm-mysql.o libcvm-udp.la libcvm-sql.la -lbg -lpwcmp -L/usr/lib/mysql -lmysqlclient `cat crypt.lib`

cvm-mysql-udp.o: compile cvm-mysql-udp.c
	./compile cvm-mysql-udp.c

cvm-mysql.o: compile cvm-mysql.c module.h credentials.h errors.h facts.h sql.h
	./compile cvm-mysql.c

cvm-pgsql: cvm-pgsql.o ltload libcvm-module.la libcvm-sql.la crypt.lib
	./ltload cvm-pgsql libcvm-module.la libcvm-sql.la -lbg -lpwcmp -lpq `cat crypt.lib`

cvm-pgsql-local: cvm-pgsql-local.o ltload cvm-pgsql.o libcvm-local.la libcvm-sql.la crypt.lib
	./ltload cvm-pgsql-local cvm-pgsql.o libcvm-local.la libcvm-sql.la -lbg -lpwcmp -lpq `cat crypt.lib`

cvm-pgsql-local.o: compile cvm-pgsql-local.c
	./compile cvm-pgsql-local.c

cvm-pgsql-udp: cvm-pgsql-udp.o ltload cvm-pgsql.o libcvm-udp.la libcvm-sql.la crypt.lib
	./ltload cvm-pgsql-udp cvm-pgsql.o libcvm-udp.la libcvm-sql.la -lbg -lpwcmp -lpq `cat crypt.lib`

cvm-pgsql-udp.o: compile cvm-pgsql-udp.c
	./compile cvm-pgsql-udp.c

cvm-pgsql.o: compile cvm-pgsql.c module.h credentials.h errors.h facts.h sql.h
	./compile cvm-pgsql.c

cvm-pwfile: cvm-pwfile.o ltload libcvm-module.la crypt.lib socket.lib
	./ltload cvm-pwfile libcvm-module.la -lbg -lpwcmp `cat crypt.lib` `cat socket.lib`

cvm-pwfile.o: compile cvm-pwfile.c module.h credentials.h errors.h facts.h
	./compile cvm-pwfile.c

cvm-qmail: cvm-qmail.o ltload getpwnam.o libcvm-module.la libcvm-qmail.la crypt.lib
	./ltload cvm-qmail getpwnam.o libcvm-module.la libcvm-qmail.la -lbg `cat crypt.lib`

cvm-qmail.o: compile cvm-qmail.c module.h credentials.h errors.h facts.h qmail.h
	./compile cvm-qmail.c

cvm-testclient: cvm-testclient.o ltload libcvm-v2client.la socket.lib
	./ltload cvm-testclient libcvm-v2client.la -lbg `cat socket.lib`

cvm-testclient.o: compile cvm-testclient.c v2client.h facts.h errors.h
	./compile cvm-testclient.c

cvm-unix: cvm-unix.o ltload getpwnam.o libcvm-module.la crypt.lib shadow.lib s.lib socket.lib
	./ltload cvm-unix getpwnam.o libcvm-module.la -lbg `cat crypt.lib` `cat shadow.lib` `cat s.lib` `cat socket.lib`

cvm-unix.o: compile cvm-unix.c module.h credentials.h errors.h facts.h
	./compile cvm-unix.c

cvm-v1benchclient: cvm-v1benchclient.o ltload libcvm-v1client.la socket.lib
	./ltload cvm-v1benchclient libcvm-v1client.la -lbg `cat socket.lib`

cvm-v1benchclient.o: compile cvm-v1benchclient.c v1client.h facts.h errors.h
	./compile cvm-v1benchclient.c

cvm-v1checkpassword: cvm-v1checkpassword.o ltload libcvm-v1client.la socket.lib
	./ltload cvm-v1checkpassword libcvm-v1client.la -lbg `cat socket.lib`

cvm-v1checkpassword.o: compile cvm-v1checkpassword.c v1client.h facts.h errors.h
	./compile cvm-v1checkpassword.c

cvm-v1testclient: cvm-v1testclient.o ltload libcvm-v1client.la socket.lib
	./ltload cvm-v1testclient libcvm-v1client.la -lbg `cat socket.lib`

cvm-v1testclient.o: compile cvm-v1testclient.c v1client.h facts.h errors.h
	./compile cvm-v1testclient.c

cvm-vchkpw: cvm-vchkpw.o ltload libcvm-module.la crypt.lib shadow.lib s.lib socket.lib
	./ltload cvm-vchkpw libcvm-module.la -L/usr/local/vpopmail/lib -L/var/vpopmail/lib -L/usr/local/lib/mysql -lbg -lvpopmail -lmysqlclient `cat crypt.lib` `cat shadow.lib` `cat s.lib` `cat socket.lib`

cvm-vchkpw.o: compile cvm-vchkpw.c module.h credentials.h errors.h facts.h
	./compile cvm-vchkpw.c

cvm-vmailmgr: cvm-vmailmgr.o ltload vmautoconvert.o vmlookup.o getpwnam.o libcvm-module.la libcvm-qmail.la socket.lib crypt.lib
	./ltload cvm-vmailmgr vmautoconvert.o vmlookup.o getpwnam.o libcvm-module.la libcvm-qmail.la -lbg `cat socket.lib` `cat crypt.lib`

cvm-vmailmgr-local: cvm-vmailmgr-local.o ltload cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-local.la libcvm-qmail.la socket.lib crypt.lib
	./ltload cvm-vmailmgr-local cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-local.la libcvm-qmail.la -lbg `cat socket.lib` `cat crypt.lib`

cvm-vmailmgr-local.o: compile cvm-vmailmgr-local.c
	./compile cvm-vmailmgr-local.c

cvm-vmailmgr-udp: cvm-vmailmgr-udp.o ltload cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-udp.la libcvm-qmail.la socket.lib crypt.lib
	./ltload cvm-vmailmgr-udp cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-udp.la libcvm-qmail.la -lbg `cat socket.lib` `cat crypt.lib`

cvm-vmailmgr-udp.o: compile cvm-vmailmgr-udp.c
	./compile cvm-vmailmgr-udp.c

cvm-vmailmgr.o: compile cvm-vmailmgr.c module.h credentials.h errors.h facts.h qmail.h cvm-vmailmgr.h
	./compile cvm-vmailmgr.c

docs: 

errors.lo errors.o: libcompile errors.c errors.h
	./libcompile errors.c

facts.lo facts.o: libcompile facts.c facts.h
	./libcompile facts.c

getpwnam.o: compile getpwnam.c module.h credentials.h errors.h facts.h
	./compile getpwnam.c

install: INSTHIER conf-lib conf-bin conf-include
	bg-installer -v <INSTHIER
	bg-installer -c <INSTHIER

libcompile: conf-cc conf-bgincs
	( bgincs=`head -n 1 conf-bgincs`; \
	  if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec libtool --mode=compile --silent $$tag `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.lo -c $$source $${1+"$$@"}'; \
	) >libcompile
	chmod 755 libcompile

libcvm-command.la: makeshlib module_command.lo module_command_main.lo module_request.lo module_output.lo facts.lo
	./makeshlib libcvm-command.la module_command.lo module_command_main.lo module_request.lo module_output.lo facts.lo

libcvm-local.la: makeshlib module_local.lo module_local_main.lo module_request.lo module_output.lo module_log.lo facts.lo
	./makeshlib libcvm-local.la module_local.lo module_local_main.lo module_request.lo module_output.lo module_log.lo facts.lo

libcvm-module.la: makeshlib facts.lo module_command.lo module_local.lo module_log.lo module_main.lo module_output.lo module_request.lo module_udp.lo
	./makeshlib libcvm-module.la facts.lo module_command.lo module_local.lo module_log.lo module_main.lo module_output.lo module_request.lo module_udp.lo

libcvm-qmail.la: makeshlib qmail-domains.lo qmail-dotfile.lo qmail-init.lo qmail-lookup.lo qmail-users.lo
	./makeshlib libcvm-qmail.la qmail-domains.lo qmail-dotfile.lo qmail-init.lo qmail-lookup.lo qmail-users.lo

libcvm-sasl.la: makeshlib sasl_auth.lo sasl_authenticate.lo sasl_cram_md5.lo sasl_init.lo sasl_login.lo sasl_plain.lo sasl_start.lo
	./makeshlib libcvm-sasl.la sasl_auth.lo sasl_authenticate.lo sasl_cram_md5.lo sasl_init.lo sasl_login.lo sasl_plain.lo sasl_start.lo

libcvm-sql.la: makeshlib sql-auth.lo sql-query.lo
	./makeshlib libcvm-sql.la sql-auth.lo sql-query.lo

libcvm-udp.la: makeshlib module_udp.lo module_udp_main.lo module_request.lo module_output.lo module_log.lo facts.lo
	./makeshlib libcvm-udp.la module_udp.lo module_udp_main.lo module_request.lo module_output.lo module_log.lo facts.lo

libcvm-v1client.la: makeshlib v1client.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo
	./makeshlib libcvm-v1client.la v1client.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo

libcvm-v2client.la: makeshlib v2client.lo v2client_wrappers.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo random.lo
	./makeshlib libcvm-v2client.la v2client.lo v2client_wrappers.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo random.lo

libraries: libcvm-udp.la libcvm-local.la libcvm-module.la libcvm-sql.la libcvm-qmail.la libcvm-v1client.la libcvm-sasl.la libcvm-command.la libcvm-v2client.la

load: conf-ld conf-bglibs
	( bglibs=`head -n 1 conf-bglibs`; \
	  echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
	) >load
	chmod 755 load

ltload: conf-ld conf-bglibs
	( bglibs=`head -n 1 conf-bglibs`; \
	  if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
	  echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec libtool --mode=link --silent $$tag `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
	) >ltload
	chmod 755 ltload

makeshlib: conf-ld conf-lib LIBVERSION Makefile
	( if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
	  echo '#!/bin/sh'; \
	  echo 'lib="$$1"; shift';\
	  echo 'rm -f "$$lib"';\
