## cvm 0.96

=== Makefile ===
--- 
+++ 
@@ -14,26 +14,26 @@
 clean-spac: clean AUTOFILES
 	rm -f `cat AUTOFILES`
 
-client_domain.lo client_domain.o: libcompile client_domain.c v1client.h facts.h errors.h
-	./libcompile client_domain.c
-
-client_setenv.lo client_setenv.o: libcompile client_setenv.c v1client.h facts.h errors.h
-	./libcompile client_setenv.c
-
-client_setugid.lo client_setugid.o: libcompile client_setugid.c v1client.h facts.h errors.h
-	./libcompile client_setugid.c
-
-client_xfer_command.lo client_xfer_command.o: libcompile client_xfer_command.c v1client.h facts.h errors.h
-	./libcompile client_xfer_command.c
-
-client_xfer_compat.lo client_xfer_compat.o: libcompile client_xfer_compat.c v1client.h facts.h errors.h
-	./libcompile client_xfer_compat.c
-
-client_xfer_local.lo client_xfer_local.o: libcompile client_xfer_local.c v1client.h facts.h errors.h protocol.h
-	./libcompile client_xfer_local.c
-
-client_xfer_udp.lo client_xfer_udp.o: libcompile client_xfer_udp.c v1client.h facts.h errors.h protocol.h
-	./libcompile client_xfer_udp.c
+client_domain.lo client_domain.o: ltcompile client_domain.c v1client.h facts.h errors.h
+	./ltcompile client_domain.c
+
+client_setenv.lo client_setenv.o: ltcompile client_setenv.c v1client.h facts.h errors.h
+	./ltcompile client_setenv.c
+
+client_setugid.lo client_setugid.o: ltcompile client_setugid.c v1client.h facts.h errors.h
+	./ltcompile client_setugid.c
+
+client_xfer_command.lo client_xfer_command.o: ltcompile client_xfer_command.c v1client.h facts.h errors.h
+	./ltcompile client_xfer_command.c
+
+client_xfer_compat.lo client_xfer_compat.o: ltcompile client_xfer_compat.c v1client.h facts.h errors.h
+	./ltcompile client_xfer_compat.c
+
+client_xfer_local.lo client_xfer_local.o: ltcompile client_xfer_local.c v1client.h facts.h errors.h protocol.h
+	./ltcompile client_xfer_local.c
+
+client_xfer_udp.lo client_xfer_udp.o: ltcompile client_xfer_udp.c v1client.h facts.h errors.h protocol.h
+	./ltcompile client_xfer_udp.c
 
 compile: conf-cc conf-bgincs
 	( bgincs=`head -n 1 conf-bgincs`; \
@@ -118,6 +118,12 @@
 cvm-qmail.o: compile cvm-qmail.c module.h credentials.h errors.h facts.h qmail.h
 	./compile cvm-qmail.c
 
+cvm-sqlite: cvm-sqlite.o ltload libcvm-module.la libcvm-sql.la crypt.lib
+	./ltload cvm-sqlite libcvm-module.la libcvm-sql.la -lbg -lpwcmp -L/usr/lib/sqlite -lsqlite3 `cat crypt.lib`
+
+cvm-sqlite.o: compile cvm-sqlite.c cvm/module.h credentials.h errors.h facts.h sql.h
+	./compile cvm-sqlite.c
+
 cvm-testclient: cvm-testclient.o ltload libcvm-v2client.la socket.lib
 	./ltload cvm-testclient libcvm-v2client.la -lbg `cat socket.lib`
 
@@ -174,11 +180,11 @@
 
 docs: 
 
-errors.lo errors.o: libcompile errors.c errors.h
-	./libcompile errors.c
-
-facts.lo facts.o: libcompile facts.c facts.h
-	./libcompile facts.c
+errors.lo errors.o: ltcompile errors.c errors.h
+	./ltcompile errors.c
+
+facts.lo facts.o: ltcompile facts.c facts.h
+	./ltcompile facts.c
 
 getpwnam.o: compile getpwnam.c module.h credentials.h errors.h facts.h
 	./compile getpwnam.c
@@ -187,16 +193,6 @@
 	bg-installer -v <INSTHIER
 	bg-installer -c <INSTHIER
 
-libcompile: conf-cc conf-bgincs
-	( bgincs=`head -n 1 conf-bgincs`; \
-	  if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
-	  echo '#!/bin/sh'; \
-	  echo 'source=$$1; shift'; \
-	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
-	  echo exec libtool --mode=compile --silent $$tag `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.lo -c $$source $${1+"$$@"}'; \
-	) >libcompile
-	chmod 755 libcompile
-
 libcvm-command.la: makeshlib module_command.lo module_command_main.lo module_request.lo module_output.lo facts.lo
 	./makeshlib libcvm-command.la module_command.lo module_command_main.lo module_request.lo module_output.lo facts.lo
 
@@ -224,7 +220,7 @@
 libcvm-v2client.la: makeshlib v2client.lo v2client_wrappers.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo random.lo
 	./makeshlib libcvm-v2client.la v2client.lo v2client_wrappers.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo random.lo
 
-libraries: libcvm-udp.la libcvm-local.la libcvm-module.la libcvm-sql.la libcvm-qmail.la libcvm-v1client.la libcvm-sasl.la libcvm-command.la libcvm-v2client.la
+libraries: libcvm-sasl.la libcvm-local.la libcvm-sql.la libcvm-v1client.la libcvm-udp.la libcvm-v2client.la libcvm-module.la libcvm-command.la libcvm-qmail.la
 
 load: conf-ld conf-bglibs
 	( bglibs=`head -n 1 conf-bglibs`; \
@@ -233,6 +229,16 @@
 	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
 	) >load
 	chmod 755 load
+
+ltcompile: conf-cc conf-bgincs
+	( bgincs=`head -n 1 conf-bgincs`; \
+	  if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
+	  echo '#!/bin/sh'; \
+	  echo 'source=$$1; shift'; \
+	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
+	  echo exec libtool --mode=compile --silent $$tag `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.lo -c $$source $${1+"$$@"}'; \
+	) >ltcompile
+	chmod 755 ltcompile
 
 ltload: conf-ld conf-bglibs
 	( bglibs=`head -n 1 conf-bglibs`; \
@@ -243,8 +249,3 @@
 	) >ltload
 	chmod 755 ltload
 
-makeshlib: conf-ld conf-lib LIBVERSION Makefile
-	( if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
-	  echo '#!/bin/sh'; \
-	  echo 'lib="$$1"; shift';\
-	  echo 'rm -f "$$lib"';\
