## cvm 0.97

=== Makefile ===
--- 
+++ 
@@ -35,12 +35,11 @@
 client_xfer_udp.lo client_xfer_udp.o: ltcompile client_xfer_udp.c v1client.h facts.h errors.h protocol.h
 	./ltcompile client_xfer_udp.c
 
-compile: conf-cc conf-bgincs
-	( bgincs=`head -n 1 conf-bgincs`; \
-	  echo '#!/bin/sh'; \
+compile: conf-cc
+	( echo '#!/bin/sh'; \
 	  echo 'source=$$1; shift'; \
 	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
-	  echo exec `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.o -c $$source $${1+"$$@"}'; \
+	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
 	) >compile
 	chmod 755 compile
 
@@ -121,7 +120,7 @@
 cvm-sqlite: cvm-sqlite.o ltload libcvm-module.la libcvm-sql.la crypt.lib
 	./ltload cvm-sqlite libcvm-module.la libcvm-sql.la -lbg -lpwcmp -L/usr/lib/sqlite -lsqlite3 `cat crypt.lib`
 
-cvm-sqlite.o: compile cvm-sqlite.c cvm/module.h credentials.h errors.h facts.h sql.h
+cvm-sqlite.o: compile cvm-sqlite.c module.h credentials.h errors.h facts.h sql.h
 	./compile cvm-sqlite.c
 
 cvm-testclient: cvm-testclient.o ltload libcvm-v2client.la socket.lib
@@ -161,16 +160,16 @@
 	./compile cvm-vchkpw.c
 
 cvm-vmailmgr: cvm-vmailmgr.o ltload vmautoconvert.o vmlookup.o getpwnam.o libcvm-module.la libcvm-qmail.la socket.lib crypt.lib
-	./ltload cvm-vmailmgr vmautoconvert.o vmlookup.o getpwnam.o libcvm-module.la libcvm-qmail.la -lbg `cat socket.lib` `cat crypt.lib`
+	./ltload cvm-vmailmgr vmautoconvert.o vmlookup.o getpwnam.o libcvm-module.la libcvm-qmail.la -lbg -lvmailmgr `cat socket.lib` `cat crypt.lib`
 
 cvm-vmailmgr-local: cvm-vmailmgr-local.o ltload cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-local.la libcvm-qmail.la socket.lib crypt.lib
-	./ltload cvm-vmailmgr-local cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-local.la libcvm-qmail.la -lbg `cat socket.lib` `cat crypt.lib`
+	./ltload cvm-vmailmgr-local cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-local.la libcvm-qmail.la -lbg -lvmailmgr `cat socket.lib` `cat crypt.lib`
 
 cvm-vmailmgr-local.o: compile cvm-vmailmgr-local.c
 	./compile cvm-vmailmgr-local.c
 
 cvm-vmailmgr-udp: cvm-vmailmgr-udp.o ltload cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-udp.la libcvm-qmail.la socket.lib crypt.lib
-	./ltload cvm-vmailmgr-udp cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-udp.la libcvm-qmail.la -lbg `cat socket.lib` `cat crypt.lib`
+	./ltload cvm-vmailmgr-udp cvm-vmailmgr.o vmautoconvert.o vmlookup.o getpwnam.o libcvm-udp.la libcvm-qmail.la -lbg -lvmailmgr `cat socket.lib` `cat crypt.lib`
 
 cvm-vmailmgr-udp.o: compile cvm-vmailmgr-udp.c
 	./compile cvm-vmailmgr-udp.c
@@ -220,32 +219,34 @@
 libcvm-v2client.la: makeshlib v2client.lo v2client_wrappers.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo random.lo
 	./makeshlib libcvm-v2client.la v2client.lo v2client_wrappers.lo client_domain.lo client_setugid.lo client_setenv.lo client_xfer_command.lo client_xfer_compat.lo client_xfer_local.lo client_xfer_udp.lo errors.lo facts.lo random.lo
 
-libraries: libcvm-sasl.la libcvm-local.la libcvm-sql.la libcvm-v1client.la libcvm-udp.la libcvm-v2client.la libcvm-module.la libcvm-command.la libcvm-qmail.la
-
-load: conf-ld conf-bglibs
-	( bglibs=`head -n 1 conf-bglibs`; \
-	  echo '#!/bin/sh';\
+libraries: libcvm-module.la libcvm-v2client.la libcvm-local.la libcvm-command.la libcvm-v1client.la libcvm-udp.la libcvm-sql.la libcvm-sasl.la libcvm-qmail.la
+
+load: conf-ld
+	( echo '#!/bin/sh';\
 	  echo 'main="$$1"; shift';\
-	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
+	  echo exec `head -n 1 conf-ld` -L. '-o "$$main" "$$main.o" $${1+"$$@"}'; \
 	) >load
 	chmod 755 load
 
-ltcompile: conf-cc conf-bgincs
-	( bgincs=`head -n 1 conf-bgincs`; \
-	  if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
+ltcompile: conf-cc
+	( if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
 	  echo '#!/bin/sh'; \
 	  echo 'source=$$1; shift'; \
 	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
-	  echo exec libtool --mode=compile --silent $$tag `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.lo -c $$source $${1+"$$@"}'; \
+	  echo exec libtool --mode=compile --silent $$tag `head -n 1 conf-cc` -I.  '-o $${base}.lo -c $$source $${1+"$$@"}'; \
 	) >ltcompile
 	chmod 755 ltcompile
 
-ltload: conf-ld conf-bglibs
-	( bglibs=`head -n 1 conf-bglibs`; \
-	  if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
+ltload: conf-ld
+	( if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
 	  echo '#!/bin/sh';\
 	  echo 'main="$$1"; shift';\
-	  echo exec libtool --mode=link --silent $$tag `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
+	  echo exec libtool --mode=link --silent $$tag `head -n 1 conf-ld` -L. '-o "$$main" "$$main.o" $${1+"$$@"}' ; \
 	) >ltload
 	chmod 755 ltload
 
+makeshlib: conf-ld conf-lib LIBVERSION Makefile
+	( if libtool --tag=CC --help >/dev/null 2>&1; then tag='--tag=CC'; fi; \
+	  echo '#!/bin/sh'; \
+	  echo 'lib="$$1"; shift';\
+	  echo 'rm -f "$$lib"';\
