=== debian/changelog ===
cvm (0.97-4) unstable; urgency=medium

  * QA upload.
  * Fix return value for main(). Closes: #1074896.
  * Add libcrypt-dev to Build-Depends. Closes: #1107011.
  * Build using C17 standard with GNU extensions.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 Aug 2025 20:30:00 +0200

cvm (0.97-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061994

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:24:25 +0000

cvm (0.97-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libbg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:24:32 +0100

cvm (0.97-2) unstable; urgency=medium

  * QA upload.
  * Use group targets in sql-query.{o,lo} rule to fix parallel build

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 27 Aug 2020 18:16:24 +0200

cvm (0.97-1) unstable; urgency=medium

  * QA upload.
  * d/control:
    + Set QA Group as Maintainer (Orphan bug: #947695)
    + Move homepage from description to its own field
    + Use https version of the Homepage
    + Use Rules-Requires-Root: no
    + Bump Standard-Version to 4.5.0
    + Add Vcs-Browser and Vcs-Git, pointing to salsa project
    + Set debhelper-compat to 13
    + Add missing ${misc:Depends} dependency to binary packages
    + Remove redundant Section field for some binary packages
    + Remove unused build dependencies: vim, sqlite3, libsqlite3-dev
    + Add a short text to long description to differentiate binary packages
    + Add missing dependency xxd required to run tests
  * Migrate to dh: (Closes: #848588)
    + Remove rules.orig
    + Drop d/implicit
    + Replace d/rules by a dh compatible rules
    + Override dh_auto_build to build 3 specific targets (all, mysql, pgsql)
      and inject correct FLAGS for building and linking (via conf-* files).
    + Override dh_auto_clean to cleanup generated conf-* files
    + Override dh_auto_install to force install tool to work with DESTDIR
    + Override dh_auto_test to run ./tests.sh
    + Add .install files for binary package
    + Exclude *.la files in d/not-installed
    + Remove unused post{inst,rm}
    + Use hardening=+all flags
  * Replace upstream signing key by its minimal version
  * Convert copyright to DEP5
  * Move all manpages to d/manpages
  * Add ${pkg}.manpages for cvm, cvm-mysql and cvm-pgsql
  * Use recommended branch name from DEP14
  * Add salsa pipeline CI
  * Register development docs with doc-base
  * Add patch to exclude sqlite test case from tests.sh as sqlite cvm tools
    are not built in Debian packaging
  * Fix typo in package name in d/cvm.README.Debian
  * Use better url source for d/watch
  * Skip tests/qmail-lookup-perms and tests/vmlookup-notable tests when run as
    root
  * Override package-name-doesnt-match-sonames for libcvm1

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 21 Aug 2020 21:43:30 +0200

cvm (0.97-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Make build reproducible (Closes: #813944)
    - thanks Reiner for the patch

  [ Dmitry Bogatov ]
  * Non-maintainer upload.
  * New upstream release (compatible with bglibs >= 2.03)
  * Write watch file and verify GPG signature
  * Upgrade dependendency on bglibs (libbg1-dev -> libbg-dev >= 2.03)
  * Drop rpath related patch (fixed upstream)
  * Adjust debian/rules to changed upstream Makefile
  * Add ldconfig trigger

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 17 Feb 2017 12:42:51 +0300

cvm (0.96-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends from libmysqlclient-dev to
    default-libmysqlclient-dev. (Closes: #845832)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 18 Dec 2016 17:07:58 +0000

cvm (0.96-1.2) unstable; urgency=medium

  * Non-maintainer upload on request of the maintainer.
  * Update build-depends to libmysqlclient-dev; thanks to Clint Byrum.
    Closes: #650426
  * Add "Section" header to debian/control; thanks to Stefano Rivera.
    Closes: #582283
  * Update padding in tests.sh so tests/vmailmgr-xconvert doesn't fail.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 01 Jul 2015 16:02:36 +0400

cvm (0.96-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761742.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:20:24 +0000

cvm (0.96-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/0001-tests.sh-fix-variables-in-selftests.diff: remove;
    fixed upstream.
  * debian/rules: workaround non-working variable assignment with dash
    as sh.
  * debian/control: Build-Depends: libsqlite3-dev, sqlite3.
  * debian/rules: build the new cvm-sqlite.
  * debian/diff/0001-Makefile-avoid-rpath-workaround-some-...diff:
    adapt for cvm-sqlite.
  * debian/rules: don't install cvm-sqlite for now.

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 Apr 2010 02:27:30 +0000

cvm (0.90-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: mostly redo; build, install new packages; drop diet
    libraries for now.
  * debian/control: change binary package cvm-dev to libcvm1-dev,
    lib-cvm1, providing shared and static libraries; no longer
    Build-Depends: dietlibc-dev; Build-Depends: libbg1-dev, libtool
    Standards-Version: 3.7.3.0.
  * debian/cvm-*.[78]: add description to NAME.
  * debian/diff/0001-tests.sh-fix-variables-in-selftests.diff: new;
    redo tests.diff with git.
  * debian/diff/0002-Makefile-avoid-rpath-workaround-some...diff: new;
    Makefile: avoid rpath; workaround some linking issues.
  * README.Debian.diet, debian/cvm.docs: remove; drop for now.
  * debian/cvm-dev.README.Debian, debian/cvm-dev.docs: rename to
    libcvm1-dev.* respectively.
  * debian/libcvm1-dev.docs: adapt paths.
  * libcvm1.postinst, libcvm1.postrm: new; run ldconfig on configure,
    remove.

