=== debian/control ===
Source: cvm
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 libbg-dev,
 default-libmysqlclient-dev,
 libcrypt-dev,
 libpq-dev,
 libtool,
 libtool-bin,
 freecdb,
 xxd
Standards-Version: 4.7.2
Homepage: https://untroubled.org/cvm/cvm.html
Vcs-Browser: https://salsa.debian.org/debian/cvm
Vcs-Git: https://salsa.debian.org/debian/cvm.git
Rules-Requires-Root: no

Package: cvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Credential Validation Modules
 CVM is a framework for validating a set of credentials against a database
 using a filter program.  The modules act as a filter, taking a set of
 credentials as input and writing a set of facts as output if those
 credentials are valid.  Optional input is given to the module through
 environment variables.
 .
 Some of the ideas for CVM came from experience with PAM (pluggable
 authentication modules), the checkpassword interface used by qmail-pop3d,
 and the "authmod" interface used by Courier IMAP and POP3.  This framework
 places fewer restrictions on the invoking client than checkpassword does,
 and is much simpler to implement on both sides than PAM and the authmod
 framework.
 .
 This package includes cvm binaries.

Package: cvm-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cvm
Description: Credential Validation Modules (MySQL)
 CVM is a framework for validating a set of credentials against a database
 using a filter program.  The modules act as a filter, taking a set of
 credentials as input and writing a set of facts as output if those
 credentials are valid.  Optional input is given to the module through
 environment variables.
 .
 Some of the ideas for CVM came from experience with PAM (pluggable
 authentication modules), the checkpassword interface used by qmail-pop3d,
 and the "authmod" interface used by Courier IMAP and POP3.  This framework
 places fewer restrictions on the invoking client than checkpassword does,
 and is much simpler to implement on both sides than PAM and the authmod
 framework.
 .
 This package includes cvm binaries to interact with MySQL databases.

Package: cvm-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cvm
Description: Credential Validation Modules (PostgreSQL)
 CVM is a framework for validating a set of credentials against a database
 using a filter program.  The modules act as a filter, taking a set of
 credentials as input and writing a set of facts as output if those
 credentials are valid.  Optional input is given to the module through
 environment variables.
 .
 Some of the ideas for CVM came from experience with PAM (pluggable
 authentication modules), the checkpassword interface used by qmail-pop3d,
 and the "authmod" interface used by Courier IMAP and POP3.  This framework
 places fewer restrictions on the invoking client than checkpassword does,
 and is much simpler to implement on both sides than PAM and the authmod
 framework.
 .
 This package includes cvm binaries to interact with PostgreSQL databases.

Package: libcvm1t64
Provides: ${t64:Provides}
Replaces: libcvm1
Breaks: libcvm1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libcvm1-dev
Description: Credential Validation Modules (shared libraries)
 CVM is a framework for validating a set of credentials against a database
 using a filter program.  The modules act as a filter, taking a set of
 credentials as input and writing a set of facts as output if those
 credentials are valid.  Optional input is given to the module through
 environment variables.
 .
 Some of the ideas for CVM came from experience with PAM (pluggable
 authentication modules), the checkpassword interface used by qmail-pop3d,
 and the "authmod" interface used by Courier IMAP and POP3.  This framework
 places fewer restrictions on the invoking client than checkpassword does,
 and is much simpler to implement on both sides than PAM and the authmod
 framework.
 .
 This package includes shared libraries required to run dependent binaries.

Package: libcvm1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcvm1t64 (= ${binary:Version})
Provides: libcvm-dev, cvm-dev
Conflicts: libcvm-dev, cvm-dev
Recommends: cvm
Description: Credential Validation Modules (development files, documentation)
 CVM is a framework for validating a set of credentials against a database
 using a filter program.  The modules act as a filter, taking a set of
 credentials as input and writing a set of facts as output if those
 credentials are valid.  Optional input is given to the module through
 environment variables.
 .
 Some of the ideas for CVM came from experience with PAM (pluggable
 authentication modules), the checkpassword interface used by qmail-pop3d,
 and the "authmod" interface used by Courier IMAP and POP3.  This framework
 places fewer restrictions on the invoking client than checkpassword does,
 and is much simpler to implement on both sides than PAM and the authmod
 framework.
 .
 This package includes development files for compiling against libcvm1t64
