=== debian/watch ===
version=4
# Note: in july 2020, https doesn't work due to weak TLS server options
opts="pgpmode=auto" \
http://untroubled.org/cvm/archive/cvm-@ANY_VERSION@@ARCHIVE_EXT@
